import { request } from '@umijs/max';

// 查询菜单权限列表
export async function contentcategoryPage(body) {
    return request('/api/contentcategory/page', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function contentcategoryAdd(body) {
    return request('/api/contentcategory/add', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function contentcategoryUpdate(body) {
    return request('/api/contentcategory/update', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function contentcategoryDelete(body) {
    return request('/api/contentcategory/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


